<?php
error_reporting(E_ALL ^ E_NOTICE);
// Permite la conexion desde cualquier origen
header("Access-Control-Allow-Origin: *");
// Permite la ejecucion de los metodos
header("Access-Control-Allow-Methods: GET, POST, PUT, DELETE");
// Se incluye el archivo que contiene la clase generica
include_once '../conexion.php';
$bodyRequest = file_get_contents("php://input");
// Decodifica el cuerpo de la solicitud y lo guarda en un array de PHP
$datos = json_decode($bodyRequest, true);

/*$sql = "call Activa_Opcion($datos[0], $datos[1], $datos[2], $datos[3], $datos[4], $datos[5])";
$rows = array();*/

try {
    $sql = $conn->prepare("CALL Activa_Opcion(?,?,?,?,?,?)");
    $sql->bind_Param("iiiiis", $datos[0], $datos[1], $datos[2], $datos[3], $datos[4], $datos[5]);
    $sql->execute();

    // Comprobamos el resultado de la llamada al procedimiento almacenado
    $result = $conn->query("SELECT @nRegistros as nRegistros");
    $mensaje = $result->fetch_assoc();

    if ($mensaje['nRegistros'] > 0) {
        $resultado = array();
        $resultado['ESTADO'] = "1";
        $resultado['REGISTROS'] = $mensaje['nRegistros'];
        $resultado['MENSAJE'] = "LA INFORMACION SE ACTUALIZO CORRECTAMENTE";
        //http_response_code(200);
    } else {
        $resultado = array();
        $resultado['ESTADO'] = "0";
        $resultado['REGISTROS'] = "0";
        $resultado['MENSAJE'] = "ERROR AL ACTUALIZAR LA INFORMACIÓN: " . mysqli_error($conn);
        //http_response_code(500);
    }
} catch (Exception $e) {
    $resultado = array();
    $resultado['MENSAJE'] = "ERROR: " . $e->getMessage();
    $resultado['ESTADO'] = "0";
    $resultado['ID'] = "0";
    //http_response_code(500);
}

mysqli_close($conn);

header("Content-Type: application/json; charset=UTF-8");
echo json_encode($resultado, JSON_PRETTY_PRINT);
?>